Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I have aquamacs installed and running nicely on my OS X. I wanted to have, in addition a standard emacs which I downloaded and installed. As I expected they share the same .emacs file, which is fine - I would like the two to have the same features.

When I run the emacs in debug mode, I get an error:

Debugger entered--Lisp error: (file-error "Cannot open load file"
"org-install"$   require(org-install)

which is related to the org-mode I have and want to use. In my .emacs file I have:

(require 'org-install)

which is the line which causes the problem. locate org-install yielded several locations, some are in /Applications/Aquamacs.app/, and thus maybe invisible to emacs. How can I solve this issue?

share|improve this question
    
What version of emacs is Aquamacs using? What version of standard emacs are you using? Using different versions often causes some of the problems that you're experiencing. I experienced some of this myself when I mixed emacs version (using Emacs.app [downloaded] and the builtin emacs). –  Avery Chan May 19 '12 at 9:27

1 Answer 1

If you are running Emacs 24 (in pretest) then org-mode is included and you shouldn't be having any problems. Otherwise you will have to install it. I suppose that you could just add the path to org-mode which is included with Aquamacs to the variable load-path. This might work, but there may be problems with the byte-compiled files being for a different version etc. You can also install org-mode from ELPA.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.